POSTBlock

https://rpc-celestia-mainnet.nodit.io/

Retrieves the block at the specified height. Returns the latest block if height is omitted.

Request Body
jsonrpcstring (enum)required

JSON-RPC protocol version. Always 2.0.

idintegerrequired

Identifier of the request. Returned unchanged as id in the response.

methodstring (enum)required

Name of the JSON-RPC method to call.

heightstring

Target block height.

Responses
jsonrpcstringrequired

JSON-RPC protocol version. Always 2.0.

idintegerrequired

The request ID, echoed back unchanged.

block_idobject

Block ID (block hash and part set header).

hashstring

Block hash.

partsobject

Part set header, used when the block is split into parts for gossiping.

totalinteger

Total number of block parts.

hashstring

Merkle root hash of the block parts.

blockobject

The block (header, transactions, evidence, and last commit).

headerobject

Block header.

versionobject

Block and application protocol versions.

blockstring

Block protocol version.

appstring

Application protocol version.

chain_idstring

Chain ID.

heightstring

Block height.

timestring

Block time (UTC).

last_block_idobject

Block ID of the previous block.

hashstring

Block hash.

partsobject

Part set header, used when the block is split into parts for gossiping.

last_commit_hashstring

Hash of the validators' commit for the previous block.

data_hashstring

Hash of the transactions in the block.

validators_hashstring

Hash of the validator set for the current block.

next_validators_hashstring

Hash of the validator set for the next block.

consensus_hashstring

Hash of the consensus parameters for the current block.

app_hashstring

Application state hash after executing the previous block's transactions.

last_results_hashstring

Root hash of the execution results of the previous block's transactions.

evidence_hashstring

Hash of the evidence included in the block.

proposer_addressstring

Address of the validator that proposed the block.

datastring[]

Transactions included in the block.

evidenceobject[]

Evidence of Byzantine behavior included in the block.

typeoneOf

Evidence type.

string 1string
integer 2integer
heightoneOf

Height at which the violation occurred.

integer 1integer
string 2string
timeoneOf

Time at which the violation occurred.

integer 1integer
string 2string
total_voting_poweroneOf

Total voting power at the time of the violation.

integer 1integer
string 2string
validatorobject

The offending validator.

pub_keyobject

Validator public key.

voting_poweroneOf

Voting power of the validator.

integer 1integer
string 2string
addressstring

Validator address.

last_commitobject

Validators' commit for the previous block.

heightinteger

Height of the committed block.

roundinteger

Consensus round in which the block was committed.

block_idobject

ID of the committed block.

hashstring

Block hash.

partsobject

Part set header, used when the block is split into parts for gossiping.

signaturesobject[]

Validator signatures, ordered by the validator set.

typeinteger

Vote type.

heightstring

Height of the signed block.

roundinteger

Consensus round in which the block was committed.

block_idobject

ID of the signed block.

timestampstring

Time the signature was made.

validator_addressstring

Address of the signing validator.

validator_indexinteger

Index in the validator set.

signaturestring

Validator signature (Base64).

X-API-KEY
RequestCU25
cURL
curl -X POST "https://rpc-celestia-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "block",
  "params": {
    "height": "1"
  }
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "block_id": {
      "hash": "D70952032620CC4E2737EB8AC379806359D8E0B17B0488F627997A0B043ABDED",
      "parts": {
        "total": 1,
        "hash": "1A79E57CC6A3D49E5E9E6A9D2B5F2D5A0A3B7E8C1D2E3F4A5B6C7D8E9F0A1B2C"
      }
    },
    "block": {
      "header": {
        "version": {
          "block": "11",
          "app": "0"
        },
        "chain_id": "cosmoshub-4",
        "height": "1",
        "time": "2019-12-11T16:11:34Z",
        "last_block_id": {
          "hash": "",
          "parts": {
            "total": 0,
            "hash": ""
          }
        },
        "last_commit_hash": "E3B0C44298FC1C149AFBF4C8996FB92427AE41E4649B934CA495991B7852B855",
        "data_hash": "E3B0C44298FC1C149AFBF4C8996FB92427AE41E4649B934CA495991B7852B855",
        "validators_hash": "8B4640A28F07F7F4D9D5C7F4A7A2FBE8E1E5C3A1D2B3C4D5E6F7A8B9C0D1E2F3",
        "next_validators_hash": "8B4640A28F07F7F4D9D5C7F4A7A2FBE8E1E5C3A1D2B3C4D5E6F7A8B9C0D1E2F3",
        "consensus_hash": "048091BC7DDC283F77BFBF91D73C44DA58C3DF8A9CBC867405D8B7F3DAADA22F",
        "app_hash": "",
        "last_results_hash": "E3B0C44298FC1C149AFBF4C8996FB92427AE41E4649B934CA495991B7852B855",
        "evidence_hash": "E3B0C44298FC1C149AFBF4C8996FB92427AE41E4649B934CA495991B7852B855",
        "proposer_address": "B00A6323737F321EB0B8D59C6FD497A14B60938A"
      },
      "data": [],
      "evidence": [],
      "last_commit": {
        "height": 0,
        "round": 0,
        "block_id": {
          "hash": "",
          "parts": {
            "total": 0,
            "hash": ""
          }
        },
        "signatures": []
      }
    }
  }
}